/*
  ASI ByVac
  Copyright (c) 2011 Jim Spence.  All right reserved.
  www.byvac.com - see terms and conditions for using hardware
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/  

#ifndef _H_bv4108_h
#define _H_bv4108_h

#include <inttypes.h>
#include "NewSoftSerial.h"
#include "ASI.h"

// usual LCD commands
#define CMD_CLS 1
#define CMD_LINE1   0x80
#define CMD_LINE2   0xc0
#define CMD_LINE3   0x94
#define CMD_LINE4   0xd4 


class BV4108 : public ASI
{
  public:
    BV4108(uint8_t rxPin, uint8_t txPin);
    void putdata(char DEVadr, char data);
    void putcmd(char DEVadr, char data);
    void cls(char DEVadr);
    void puts(char DEVadr, char *s);
    void rowcol(char DEVadr, char row, char col);
    void bl(char DEVadr, char ton);
    void custom(char DEVadr, char chno, char *buf8);
};


#endif