
#include <BVserial.h>
#include <ASI.h>
#include <bv4108.h>

#define rxPin 5
#define txPin 4
#define dev1 'a'

BV4108 bv(rxPin, txPin);

void setup()  {
  bv.baud(9600);
  bv.begin();
//  bv.handshake(9,8);
}

// this example has 2 devices connected to the bus and 
// one of them is a 20x4 LCD display, see the use guide
// for a picture of the output
void loop() {
char b[20]; 
  // always delay after clearing the screen
  bv.cls(dev1); delay(200);
  // Display the number of connected devices to the screen
  bv.text(dev1,"Devices ");
  bv.devices(b,19);
  bv.text(dev1,b);
  // Display the firmware version on the second line
  bv.rowcol(dev1,2,0);
  bv.text(dev1,"Version ");
  bv.version(dev1,b);
  bv.text(dev1,b);
  // Dsiplay the device ID on the third line
  bv.rowcol(dev1,3,0);
  bv.text(dev1,"ID ");
  // read device id
  bv.deviceid(dev1,b);
  bv.text(dev1,b);
  // Create a custom charatcer in char space 0, defined by the
  // following 8 bytes
  b[0]=0xa;b[1]=0xa;b[2]=0x1f;b[3]=0x11;b[4]=0x11;
  b[5]=0xe;b[6]=4;b[7]=4;
  bv.custom(dev1,0,b); // send it
  // Disply the custom char on row 4
  bv.rowcol(dev1,4,0);
  bv.text(dev1,"Custom=");
  bv.putdata(dev1,0); // send char 0

  while(1);
}


