/*
  BV4205 I2C GPIO
  Copyright (c) 2011 Jim Spence.  All right reserved.
  www.byvac.com - see terms and conditions for using hardware
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/ 

#ifndef _H_bv4206_h
#define _H_bv4206_h

#define GPIO_IN 1 // (default)
#define GPIO_OUT 0
#define TMR_PIN6ON 1
#define TMR_PIN6OFF 0
#define TMR_INTERNAL 1
#define TMR_EXTERNAL 0 // (default)
#define TMR_HL 1 // inc high-low
#define TMR_LH 0 // inc low-high
#define PWM_PLUS 1 
#define PWM_MINUS 0

#include "Wire.h"
#include "I2c_bv.h"
#include "WProgram.h"



class BV4206 : public I2c_bv
{
    public:
    BV4206(char i2adr);
    // I/O
    void IO(char channel, char input);
    void pin(char channel, char value);
    int pin(char channel);
    void pullups(char enable);
    // timer
    void timerOut6(char onn);
    void timerPrescale(char prescale);
    void timerValue(char timer);
    int timerRead();
    void timerSource(char source);
    void timerIncrement(char control);
    // PWM
    void pwmActivate(char polarity);
    void pwmPeriod(int width);
    private:    
//        int i2_16bit();
        char _i2adr;
};

#endif
