/*
  BV4208 I2C LCD controller
  Copyright (c) 2011 Jim Spence.  All right reserved.
  www.byvac.com - see terms and conditions for using hardware
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/ 

#ifndef _H_bv4208_h
#define _H_bv4208_h

#include "Wire.h"
#include "I2c_bv.h"
#include "WProgram.h"

#define MAX_DIGITS 3
#define MIN_DIGITS 0


class BV4208 : public I2c_bv
{
    public:
    BV4208(char i2adr);
    void cmd(char value);
    void dat(char value);
    void bl(char value);
    void blank(char value);
    void cls();
    void position(char row, char col);
    void print(char value); 
    void print(char *s);
    void print(int value);
    void print(char row, char col, char *s);
    private:    
//        int i2_16bit();
        char _i2adr;
};

#endif
