/*
  BV4236 RTC and Tempertature sensor from ByVac
  Copyright (c) 2011 Jim Spence.  All right reserved.
  www.byvac.com - see terms and conditions for using hardware
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/ 

#ifndef _H_bv4236_h
#define _H_bv4236_h

// fixed addresses for these devices
#define I2RTC 0x68 //0xD0;
#define I2TEMP 0x48 //0x90

// RTC time register values
#define RTC_SECONDS 1
#define RTC_MINUTES 2
#define RTC_HOURS 3
#define RTC_DOW 4
#define RTC_DOM 5
#define RTC_MONTH 6
#define RTC_YEAR 7

#include "Wire.h"
#include "WProgram.h"

// macro
#define dec2bcd(value) ((value/10)<<4)+(value%10)
#define bcd2dec(value) ((value>>4)*10)+value%16

class BV4236
{
    public:
        BV4236();
        // temperature
        double getTemp();
        void setResolution(char bits);
        // date and time
        void setReg(char reg, char value);
        int getReg(char reg);
        void clrHalt();
        void setDate(int year, int month, int day);
        void setTime(int hours, int minutes, int seconds);
        void setDOW(int dow);
//    private:

};

#endif
