/*
  BV4505 Serial Keypad interface ByVac
  Copyright (c) 2011 Jim Spence.  All right reserved.
  www.byvac.com - see terms and conditions for using hardware
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA
  
  Release Notes:

*/  

#include "WProgram.h"
#include "bv4505.h"


// ==============================================================
// BV4505 SECTION
// ==============================================================
// ==============================================================

// **************************************************************
// 
// **************************************************************
BV4505::BV4505(uint8_t rxPin, uint8_t txPin) : ASI(rxPin, txPin)
{
}

// **************************************************************
// clear keypad buffer
// **************************************************************
void BV4505::clr(char DEVadr)
{
    flush();
    putch(DEVadr);
    puts("c\r");
    wait();
}

// **************************************************************
// Get number of keys in buffer
// **************************************************************
char BV4505::keysinbuf(char DEVadr)
{
char b[6];
    flush();
    putch(DEVadr);
    puts("b\r");
    wait(b, '>', 5);
    return atoi(b);
}

// **************************************************************
// get key from buffer
// **************************************************************
char BV4505::key(char DEVadr)
{
char b[6];
    flush();
    putch(DEVadr);
    puts("g\r");
    wait(b, '>', 5);
    return atoi(b);
}

// **************************************************************
// returns key down state
// **************************************************************
char BV4505::keydown(char DEVadr)
{
char b[6];
    flush();
    putch(DEVadr);
    puts("d\r");
    wait(b, '>', 5);
    return atoi(b);
}

