/*
  BV4618_S I2C and (serial) charatcer display controller  ByVac
  Copyright (c) 2011 Jim Spence.  All right reserved.
  www.byvac.com - see terms and conditions for using hardware
  
  This library is free software; you can redistribute it and/or
  modify it under the terms of the GNU Lesser General Public
  License as published by the Free Software Foundation; either
  version 2.1 of the License, or (at your option) any later version.

  This library is distributed in the hope that it will be useful,
  but WITHOUT ANY WARRANTY; without even the implied warranty of
  MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
  Lesser General Public License for more details.

  You should have received a copy of the GNU Lesser General Public
  License along with this library; if not, write to the Free Software
  Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301  USA

*/  

#ifndef _H_bv4618_S_h
#define _H_bv4618_S_h

#include <inttypes.h>

#define TIB_MAX 32      // size of Text Input Buffer

class VT100
{
    public:
        VT100(uint8_t receivePin, uint8_t transmitPin);
        void begin(long speed);
        int read();
        void putch(uint8_t b);
        void puts(char *s);
        void printNumber(unsigned long n, uint8_t base);
    private:
        uint8_t _receivePin;
        uint8_t _transmitPin;
        long _baudRate;
        int _bitPeriod;
        char tib[TIB_MAX]; // input buffer
        char cib;       // charatres in buffer
        char Pptr, Gptr; // put and get pointers
};

#endif